Generated from the Techstack v0.39.0 release (source
49677b729cb9). For an installed version, techstack api <command> --help is authoritative.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Generated reference for the techstack api tunnel commands
49677b729cb9). For an installed version, techstack api <command> --help is authoritative.techstack api tunnel install-command [flags]
| HTTP | POST /api/v1/tunnel/install-command |
| Changes state | Yes |
| MCP tool | None |
| Argument | Type | Description |
|---|---|---|
--token | string | Required. |
--body | json | JSON request body (application/json) as a literal, @path or - for stdin. |
techstack api tunnel registry-url [flags]
| HTTP | GET /api/v1/tunnel/registry-url |
| Changes state | No |
| MCP tool | get_tunnel_registry_url |
techstack api tunnel start [flags]
| HTTP | POST /api/v1/tunnel/start |
| Changes state | Yes |
| MCP tool | start_tunnel |
techstack api tunnel status [flags]
| HTTP | GET /api/v1/tunnel/status |
| Changes state | No |
| MCP tool | get_tunnel_status |
techstack api tunnel stop [flags]
| HTTP | POST /api/v1/tunnel/stop |
| Changes state | Yes |
| MCP tool | stop_tunnel |
techstack api tunnel subdomains list [flags]
| HTTP | GET /api/v1/tunnel/subdomains |
| Changes state | No |
| MCP tool | list_tunnel_subdomains |
techstack api tunnel subdomains services <base-id> [flags]
| HTTP | GET /api/v1/tunnel/subdomains/{baseId}/services |
| Changes state | No |
| MCP tool | list_tunnel_subdomain_services |
| Argument | Type | Description |
|---|---|---|
<base-id> | string | Required. |
techstack api tunnel topology [flags]
| HTTP | GET /api/v1/tunnel/topology |
| Changes state | No |
| MCP tool | get_topology |
techstack api tunnel validate-url [flags]
| HTTP | POST /api/v1/tunnel/validate-url |
| Changes state | Yes |
| MCP tool | validate_tunnel_url |
| Argument | Type | Description |
|---|---|---|
--url | string | — |
--body | json | JSON request body (application/json) as a literal, @path or - for stdin. |
